Subject: Re: Compiling EGCS: no luck
From: [email-masked] (Mumit Khan)

10 Mar 1998 01:20:32 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: Michael Lemke <[email-masked]>
Cc: [email-masked]

Hi Michael,

The egcs-1.0.2 pre-release works quite well under cygwin32 b19. For better
effect, and a few bug fixes, you should definitely use the patches I use
and archived at:
  
  ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/cygwin32/snapshots/1.0.2/

See the test results I just posted to egcs list to get a feel for how it
works.

1. get egcs-1.0.2 pre-release ss-980303 from egcs.cygnus.com
2. Patch the sources using the patches on my site
    
    % tar zxf egcs-1.0.2-980309.tar.gz
    % cd egcs-1.0.2-980309
    % for i in patches/*; do patch -p1 -s < $i; done

3. build
    
    % configure --prefix=/usr --exec-prefix=/usr/H-i386-cygwin32
      [ eg., if you have C:/Cygnus/B19 mounted as /usr ]
    % make
    % make test [if you have dejagnu and expect installed correctly -- I 
      believe that b19 setup gave me problems]

Your problem however has to do with the "interesting" directory hierarchy
that Cygnus has chosen, and gcc can't find the includes. You can get
around it by either configuring egcs to install where Cygnus installs its
stuff, or by creative use of mounts (or by just copying stuff!).

I believe that I've mounted the following:
    
    /Cygnus/B19/H-i386-cygwin32/i386-cygwin32/include /usr/include
    /Cygnus/B19/H-i386-cygwin32/i386-cygwin32/lib /usr/lib

Regards,
Mumit -- [email-masked]
http://www.xraylith.wisc.edu/~khan/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".